> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Feature Flags

> Get the list of enabled feature flags.

This endpoint is public and doesn't require authentication,
as feature flags are not sensitive information.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /feature-flags
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /feature-flags:
    get:
      tags:
        - feature-flags
      summary: Get Feature Flags
      description: |-
        Get the list of enabled feature flags.

        This endpoint is public and doesn't require authentication,
        as feature flags are not sensitive information.
      operationId: feature-flags-get_feature_flags
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeatureFlagsRead'
components:
  schemas:
    FeatureFlagsRead:
      properties:
        enabled_features:
          items:
            $ref: '#/components/schemas/FeatureFlag'
          type: array
          title: Enabled Features
      type: object
      required:
        - enabled_features
      title: FeatureFlagsRead
      description: Response model for feature flags.
    FeatureFlag:
      type: string
      enum:
        - ai-ranking
        - workflow-concurrency-limits
        - agent-channels
        - agent-fs-persistence
      title: FeatureFlag
      description: Feature flag enum reserved for engineering rollouts.

````